import { __require as requireImplementation } from "./implementation.js";
var polyfill;
var hasRequiredPolyfill;
function requirePolyfill() {
  if (hasRequiredPolyfill) return polyfill;
  hasRequiredPolyfill = 1;
  var implementation = requireImplementation();
  polyfill = function getPolyfill() {
    return Array.prototype.flat || implementation;
  };
  return polyfill;
}
export {
  requirePolyfill as __require
};
